Rapid7 Vulnerability & Exploit Database

MFSA2022-25 Firefox: Security Vulnerabilities fixed in Firefox ESR 91.11 (CVE-2022-34478)

Back to Search

MFSA2022-25 Firefox: Security Vulnerabilities fixed in Firefox ESR 91.11 (CVE-2022-34478)

Severity
4
CVSS
(AV:L/AC:M/Au:N/C:P/I:P/A:P)
Published
06/28/2022
Created
07/16/2022
Added
06/29/2022
Modified
06/29/2022

Description

The ms-msdt, search, and search-ms protocols deliver content to Microsoft applications, bypassing the browser, when a user accepts a prompt. These applications have had known vulnerabilities, exploited in the wild (although we know of none exploited through Firefox), so in this release Firefox has blocked these protocols from prompting the user to open them.This bug only affects Firefox on Windows. Other operating systems are unaffected.

Solution(s)

  • mozilla-firefox-esr-upgrade-91_11

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;